Bug 982987 - Should add --driver parameter to nodedev-detach command in manual page
Should add --driver parameter to nodedev-detach command in manual page
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libvirt (Show other bugs)
7.0
x86_64 Linux
low Severity low
: rc
: ---
Assigned To: Peter Krempa
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-10 05:14 EDT by EricLee
Modified: 2014-06-17 20:52 EDT (History)
6 users (show)

See Also:
Fixed In Version: libvirt-1.1.1-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 06:11:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description EricLee 2013-07-10 05:14:04 EDT
Description:
Should add --driver to nodedev-detach command in manual page

Version:
libvirt-1.1.0-1.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1.# man virsh
...
       nodedev-detach nodedev                        -------------------------------no "--driver" parameter
           Detach nodedev from the host, so that it can safely be used by guests via <hostdev> passthrough.  This is reversed with nodedev-reattach, and is done automatically for
           managed devices.  For compatibility purposes, this command can also be spelled nodedev-dettach.
...

2. There is --driver in help doc:
# virsh help nodedev-detach
  NAME
    nodedev-detach - detach node device from its device driver

  SYNOPSIS
    nodedev-detach <device> [--driver <string>]

  DESCRIPTION
    Detach node device from its device driver before assigning to a domain.

  OPTIONS
    [--device] <string>  device key
    --driver <string>  pci device assignment backend driver (e.g. 'vfio' or 'kvm')

Actual results:
As steps

Expected results:
Should add it.

Additional info:
Comment 2 Peter Krempa 2013-07-12 05:44:10 EDT
Patch posted upstream:

http://www.redhat.com/archives/libvir-list/2013-July/msg00788.html
Comment 3 Peter Krempa 2013-07-12 08:25:25 EDT
Fixed upstream:

commit acc27c4eaae37f128884670a7e264e344583f31d
Author: Peter Krempa <pkrempa@redhat.com>
Date:   Fri Jul 12 11:32:51 2013 +0200

    virsh: Mention --driver in man page for nodedev-detach
    
    https://bugzilla.redhat.com/show_bug.cgi?id=982987
    
    Commit d923f6c8 introduced the --driver option but didn't document it in
    the man page. The docs are borrowed from the public API documentation.
Comment 4 zzhong@redhat.com 2013-08-01 07:21:44 EDT
pkgs:
libvirt-1.1.1-1.el7.x86_64

steps:
1.
#man virsh 
 /nodedev-detach nodedev

 nodedev-detach nodedev [--driver backend_driver]
           Detach nodedev from the host, so that it can safely be used by guests via <hostdev> passthrough.  This is reversed
           with nodedev-reattach, and is done automatically for managed devices.  For compatibility purposes, this command
           can also be spelled nodedev-dettach.

           Different backend drivers expect the device to be bound to different dummy devices. For example, QEMU's "kvm"
           backend driver (the default) expects the device to be bound to pci-stub, but its "vfio" backend driver expects the
           device to be bound to vfio-pci. The --driver parameter can be used to specify the desired backend driver.

According above,the --driver parameter to nodedev-detach command is in manual page. So change the status to VERIFIED.
Comment 5 Ludek Smid 2014-06-13 06:11:10 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.